[Rainmeter]
Update=100
Author=h_plus^labels

[Metadata]
Name=BarCodeTime
Config=Today's time, day, year,weather, etc...
Description=Show you The "Today" Info
Variants=celcius
Version=1.0
License=h_plus^labels

;End of added Metadata

[Variables]
Location=SFXX0060;put your area code here
Metric=M

[MeasureClockH]
Measure=Time
Format="%H"

[MeasureClockM]
Measure=Time
Format="%M"

[MeasureTimeS]
Measure=Time
Format=%S


[MeasureTimeampm]
Measure=Time
Format=%p
Substitute="PM":"PM","AM":"AM"

[MeasureWeekDay]
Measure=Time
meter=image
Format=%A
Substitute="Monday":"MON","Tuesday":"TUE","Wednesday":"WED","Thursday":"THU","Friday":"FRI","Saturday":"SAT","Sunday":"SUN"

[MeasureWeekmonth]
Measure=Time
meter=image
Format=%m

[MeasureWeekdate]
Measure=Time
meter=image
format=%d

[MeasureYear]
Measure=Time
Format=%Y

[

[MeterWeekDay]
Meter=string
MeasureName=MeasureWeekDay
x=210
y=5
FontColor=0,0,0,255
FontEffectColor=363636
StringEffect=Shadow
FontFace=CENTURY
FontSize=15
StringAlign=right
AntiAlias=1



[sep]
Meter=Image
ImageName=SepB.png
X=50
Y=30

[sep1]
Meter=Image
ImageName=SepB.png
X=72r
Y=30

[NewBGT]
Meter=Image
SolidColor=000000
x=211
y=2
W=25
H=25

[MeterWeekdate]
Meter=Bitmap
BitmapImage="TimeB.png"
MeasureName=MeasureWeekdate
x=0
y=28r
BitmapFrames=10
BitmapExtend=10
BitmapDigits=2

[MeterWeekmonth]
Meter=Bitmap
BitmapImage="TimeB.png"
MeasureName=MeasureWeekmonth
x=72r
y=r
BitmapFrames=10
BitmapExtend=10
BitmapDigits=2

[MeterWeekyear]
Meter=Bitmap
BitmapImage="TimeB.png"
MeasureName=MeasureYear
x=72r
y=r
BitmapFrames=10
BitmapExtend=10
BitmapDigits=4


[BGBot1]
Meter=Image
SolidColor=ce1212
X=0
Y=125
W=58
H=3


[BGBot2]
Meter=Image
SolidColor=41,40,36,255
X=58
Y=125
W=180
H=3

[Current]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=3000
Url=http://xml.weather.com/weather/local/#Location#?cc=*&unit=#Metric#&dayf=0
RegExp="(?siU).*<locale>(.*)</locale>.*<ut>(.*)</ut>.*<ud>(.*)</ud>.*<us>(.*)</us>.*<up>(.*)</up>.*<ur>(.*)</ur>.*<loc id="(.*)">.*<dnam>(.*)</dnam>.*<tm>(.*)</tm>.*<lat>(.*)</lat>.*<lon>(.*)</lon>.*<sunr>(.*)</sunr>.*<suns>(.*)</suns>.*<zone>(.*)</zone>.*<cc>.*<lsup>(.*)</lsup>.*<obst>(.*)</obst>.*<tmp>(.*)</tmp>.*<flik>(.*)</flik>.*<t>(.*)</t>.*<icon>(.*)</icon>.*<bar>.*<r>(.*)</r>.*<d>(.*)</d>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<hmid>(.*)</hmid>.*<vis>(.*)</vis>.*<uv>.*<i>(.*)</i>.*<t>(.*)</t>.*<dewp>(.*)</dewp>.*<moon>.*<icon>(.*)</icon>.*<t>(.*)</t>.*"

[Today]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=3000
Url=http://xml.weather.com/weather/local/#Location#?cc=*&unit=#Metric#&dayf=1
RegExp="(?siU)<dayf>.*<lsup>(.*)</lsup>.*<day d="0" t="(.*)" dt="(.*)".*<hi>(.*)</hi>.*<low>(.*)</low>.*<sunr>(.*)</sunr>.*<suns>(.*)</suns>.*<part p="d">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*<part p="n">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*"

[MeasureWeatherTemp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Current]
StringIndex=17

[MeasureWeatherDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Current]
StringIndex=19
Substitute=" And ":" and ","Lgt.":"Light ","Snow/":"Snow & "

[MeasureWeatherIcon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Current]
StringIndex=20

[MeasureWeatherRealFeel]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Current]
StringIndex=18

[MeasureWeatherDesc1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=9
Substitute=" And ":" and "

[MeasureWeatherDay1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=2

[MeasureWeatherTemp1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=4
Substitute="N/A":"666"

[MeasureWeatherIcon1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=8

[CheckNATemp]
Measure=Calc
Formula=[MeasureWeatherTemp1]
IfBelowValue=665
IfBelowAction=!execute [!RainmeterHideMeter MeterNightTemp1][!RainmeterHideMeter MeterNightDay1][!RainmeterHideMeter MeterNightDesc1][!RainmeterHideMeter MeterNightIcon1][!RainmeterShowMeter MeterTemp1][!RainmeterShowMeter MeterDay1][!RainmeterShowMeter MeterDesc1][!RainmeterShowMeter MeterIcon1]
IfEqualValue=666
IfEqualAction=!execute [!RainmeterHideMeter MeterTemp1][!RainmeterHideMeter MeterDay1][!RainmeterHideMeter MeterDesc1][!RainmeterHideMeter MeterIcon1][!RainmeterShowMeter MeterNightTemp1][!RainmeterShowMeter MeterNightDay1][!RainmeterShowMeter MeterNightDesc1][!RainmeterShowMeter MeterNightIcon1]
DynamicVariables=1


[MeasureWeatherNightDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=18
Substitute=" And ":" and "

[MeasureWeatherNightTemp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=5

[MeasureWeatherNightIcon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=17

[MeterTemp]
MeasureName=MeasureWeatherTemp
Meter=STRING
X=0
Y=128
StringStyle=Bold
FontSize=10
StringAlign=left
StringEffect=Shadow
FontColor=0,0,0,255
FontEffectColor=363636
FontFace=century
Antialias=1
Postfix="°Celcius"

[MeterDesc]
MeasureName=MeasureWeatherDesc
Meter=STRING
X=238
Y=r
w=191
h=20
FontColor=ce1212
FontEffectColor=41,40,36,160
FontSize=10
StringAlign=Right
StringStyle=Bold
FontFace=CENTURY
Antialias=1

